Package pacManReloaded.common.messages

## Class MapMessage

- java.lang.Object
- - pacManReloaded.common.messages.MapMessage

- All Implemented Interfaces:
    `IMessage`

      public class MapMessage
      extends java.lang.Object
      implements IMessage

- - ### Field Summary

    - ### Fields inherited from interface pacManReloaded.common.messages.IMessage

      `separator`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MapMessage​(Command commandType, java.lang.String size, java.lang.String walls, java.lang.String spawn, java.lang.String powerballs, java.lang.String balls, java.lang.String gate)` | Constructor of the class

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getParamValueBalls()` | "getter" for the value of the parameters
    `java.lang.String` | `getParamValueGate()` | "getter" for the value of the parameters
    `java.lang.String` | `getParamValuePowerBalls()` | "getter" for the value of the parameters
    `java.lang.String` | `getParamValueSize()` | size of the parameter
    `java.lang.String` | `getParamValueSpawn()` | "getter" for the value of the parameters
    `java.lang.String` | `getParamValueWalls()` | "getter" for the value of the parameters
    `Command` | `getType()` | "getter" for the type of the command
    `java.lang.String` | `toString()` | the to String method, forms the message into a string, seperated by "|"

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MapMessage

          public MapMessage​(Command commandType,
                            java.lang.String size,
                            java.lang.String walls,
                            java.lang.String spawn,
                            java.lang.String powerballs,
                            java.lang.String balls,
                            java.lang.String gate)

      Constructor of the class
      Parameters:
        `commandType` - type of the command

  - ### Method Detail

    - #### getParamValueWalls

          public java.lang.String getParamValueWalls()

      "getter" for the value of the parameters
      Returns:
        walls

    - #### getParamValueGate

          public java.lang.String getParamValueGate()

      "getter" for the value of the parameters
      Returns:
        gate

    - #### getParamValueSpawn

          public java.lang.String getParamValueSpawn()

      "getter" for the value of the parameters
      Returns:
        spawn

    - #### getParamValuePowerBalls

          public java.lang.String getParamValuePowerBalls()

      "getter" for the value of the parameters
      Returns:
        powerballs

    - #### getParamValueSize

          public java.lang.String getParamValueSize()

      size of the parameter
      Returns:
        the size of the parameter

    - #### getParamValueBalls

          public java.lang.String getParamValueBalls()

      "getter" for the value of the parameters
      Returns:
        balls

    - #### getType

          public Command getType()

      "getter" for the type of the command
      Specified by:
        `getType` in interface `IMessage`
      Returns:
        type of the command

    - #### toString

          public java.lang.String toString()

      the to String method, forms the message into a string, seperated by "|"
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        string which contains the command type and the parameter Value seperated by a "|"